Index: U-Boot/cpu/arm920t/at91rm9200/dm9161.c
===================================================================
--- U-Boot.orig/cpu/arm920t/at91rm9200/dm9161.c	2005-04-27 17:34:24.000000000 +0200
+++ U-Boot/cpu/arm920t/at91rm9200/dm9161.c	2005-04-28 09:48:28.328184488 +0200
@@ -138,9 +138,9 @@
 
 	/* Disable PHY Interrupts */
 	at91rm9200_EmacReadPhy (p_mac, DM9161_MDINTR, &IntValue);
-	/* clear FDX, SPD, Link, INTR masks */
-	IntValue &= ~(DM9161_FDX_MASK | DM9161_SPD_MASK |
-		      DM9161_LINK_MASK | DM9161_INTR_MASK);
+	/* set FDX, SPD, Link, INTR masks */
+	IntValue |= (DM9161_FDX_MASK | DM9161_SPD_MASK |
+		     DM9161_LINK_MASK | DM9161_INTR_MASK);
 	at91rm9200_EmacWritePhy (p_mac, DM9161_MDINTR, &IntValue);
 	at91rm9200_EmacDisableMDIO (p_mac);
 
@@ -190,6 +190,7 @@
 		return FALSE;
 	/* Restart Auto_negotiation  */
 	value |= DM9161_RESTART_AUTONEG;
+	value &= ~DM9161_ISOLATE;
 	if (!at91rm9200_EmacWritePhy (p_mac, DM9161_BMCR, &value))
 		return FALSE;
 
